IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'dbo.CP_SCA_RegistrarAcceso_Rta') 
                   and OBJECTPROPERTY(id, N'IsProcedure') = 1 )
BEGIN
    DROP PROCEDURE dbo.CP_SCA_RegistrarAcceso_Rta 
END
GO

CREATE PROCEDURE [dbo].[CP_SCA_RegistrarAcceso_Rta]	
                        @Flag_Habilitado	TINYINT,
						@Mensaje				VARCHAR(5000),
						@Info				VARCHAR(101),
						@Foto				VARCHAR(256),
						@Foto_Bin			VARBINARY(MAX),
						@Id_Cliente			INT,
						@Id_Cliente_Ref		INT,
						@pTipoAcceso		CHAR(1),
						@pTag				VARCHAR(30),
						@pFecha				DATETIME,
						@pId_Controlador	SMALLINT,
						@pId_Acceso			SMALLINT
AS

DECLARE @Resultado		CHAR(1)
DECLARE @Tiempo_Mensaje	SMALLINT
CREATE TABLE #rTabla	(Flag_Habilitado	TINYINT,
						Mensaje				VARCHAR(5000),
						Info				VARCHAR(101),
						Foto				VARCHAR(256),
						Foto_Bin			IMAGE,
						Id_Cliente			INT,
						Id_Cliente_Ref		INT,
						Tiempo_Mensaje		SMALLINT)

IF(@Flag_Habilitado = 1)
BEGIN
	SET @Resultado = 'S'
END
ELSE
BEGIN
	SET @Resultado = 'E'
END

SET @Tiempo_Mensaje = (SELECT ISNULL(Tiempo_Mensaje, 1) FROM CD_Accesos WHERE Id_Acceso = @pId_Acceso)

INSERT INTO CD_ES
(Tipo,			Origen,		Id_Tarjeta,
Id_Cliente,		Fecha,		Resultado,
Id_Controlador, Id_Acceso, Observacion,
tipo_reg)
VALUES
(@pTipoAcceso,		'A',			@pTag,
@Id_Cliente,		@pFecha,		@Resultado,
@pId_Controlador,	@pId_Acceso,	@Mensaje,
'')
	
INSERT INTO #rTabla 
(Flag_Habilitado,	Mensaje,	Info, 
Foto,				Foto_Bin,	Id_Cliente, 
Id_Cliente_Ref,		Tiempo_Mensaje) 
VALUES 
(@Flag_Habilitado,	@Mensaje,	@Info, 
@Foto,				@Foto_Bin,	@Id_Cliente, 
@Id_Cliente_Ref,	@Tiempo_Mensaje)
	
SELECT * FROM #rTabla

DROP TABLE #rTabla
RETURN